import { FormType } from "@/components/form/interface";

export const EmConfig = (userList) => [
  {
    type: FormType.input,
    label: "处突名称",
    name: "emergency_name",
    value: "",
    rules: [{ required: true, message: "请输入处突名称!" }],
  },
  {
    type: FormType.input,
    label: "任务描述",
    name: "desc",
    value: "",
    rules: [{ required: true, message: "请输入任务描述!" }],
  },
  {
    type: FormType.input,
    label: "目标位置",
    name: "target_location",
    value: "",
    rules: [{ required: true, message: "请输入任务描述!" }],
  },
  {
    type: FormType.map,
    label: "坐标信息",
    name: "marker",
    value: "",
    rules: [{ required: true, message: "请输入任务描述!" }],
  },
  {
    type: FormType.cehckboxGroup,
    label: "参与人员选择",
    name: "user_id",
    value: [],
    checkboxData: userList,
    rules: [{ required: true, message: "请选择参与人员!" }],
  },
];
