import { Tabs, TabsProps } from "antd";
import Leave from "./level";
import LeaveCat from "./levelCat";

const LeaveApproval = () => {
  const items: TabsProps["items"] = [
    {
      key: "1",
      label: "请假分类管理",
      children: <LeaveCat />,
    },
    {
      key: "2",
      label: "请假管理",
      children: <Leave />,
    },
  ];
  return (
    <>
      <Tabs defaultActiveKey="1" items={items} />
    </>
  );
};

export default LeaveApproval;
