interface makersInf {
    userIdentity:string,
    marker:any
}
class MapUtl {
    static makerList: makersInf[] = [];
    static amap: any = null;
    static loadMap: any = null;
    static wecherInfo: any = null;

    static addMaker(data: any) {
        const { lng, lat, title, users } = data;
        const marker = new MapUtl.loadMap.Marker({
            position: new MapUtl.loadMap.LngLat(lng, lat),
            title: title,
        });
        var content = [
            "<div><b>姓名 :" + users?.user_name + "</b>",
                "职位 : " + users.pos_held,
                "电话 : " + users.tel,
            "</div>",
        ];
        var infoWindow = new MapUtl.loadMap.InfoWindow({
            offset: new MapUtl.loadMap.Pixel(0, -30),
            autoMove: true,
            content: content.join("<br/>"),
        });
        marker.on("click", (e) => {
            infoWindow.open(MapUtl.amap, e.target.getPosition());
        });
        MapUtl.amap?.add(marker);
        // 将maker添加到数组
        MapUtl.makerList.push({
            userIdentity:users.identity,
            marker:marker
        })
    }
    static setMakericon = (maker) => {
        maker.setPosition([103.55, 30.342]);
        var m = MapUtl.amap;
        var newIcon = new m.Icon({
            image: "//a.amap.com/jsapi_demos/static/demo-center/icons/dir-marker.png", //Icon 的图像
            size: new m.Size(25, 34), // 图标大小
            anchor: new m.Pixel(12, 32), // 图标锚点
        });
        maker.setIcon(newIcon);
    }

    static polyline = (lineArr) => {
        var marker = new MapUtl.loadMap.Marker({
            map: MapUtl.amap,
            position: [116.478935, 39.997761],
            icon: "https://a.amap.com/jsapi_demos/static/demo-center-v2/car.png",
            offset: new MapUtl.loadMap.Pixel(-13, -26),
        });
        new MapUtl.loadMap.Polyline({
            map: MapUtl.amap,
            path: lineArr,
            showDir: true,
            strokeColor: "#28F",  //线颜色
            strokeWeight: 6,      //线宽
        });
        var passedPolyline = new MapUtl.loadMap.Polyline({
            map: MapUtl.amap,
            strokeColor: "#AF5",  //线颜色
            strokeWeight: 6,      //线宽
        });
        marker.on('moving', function (e) {
            passedPolyline.setPath(e.passedPath);
            MapUtl.amap.setCenter(e.target.getPosition(), true)
        });
        MapUtl.amap.setFitView();
        marker.moveAlong(lineArr, {
            duration: 500,//可根据实际采集时间间隔设置
            autoRotation: true,
        });
    }

    static getWecher(){
      
    }
}

export default MapUtl;