import { Store } from "antd/es/form/interface";
import { inject, observer } from "mobx-react";
import { useEffect } from "react";
import ReactPlayer from "react-player";

const Video = (props: Store) => {
  const { homeStore } = props;
  useEffect(() => {
    homeStore.getNewTask();
  }, [homeStore]);
  return (
    <>
      {homeStore.showVideo ? (
        <ReactPlayer
          className="react-player"
          url="https://www.119.gov.cn/images/qmxfxw/expd/2024/07/01/1719818550990010367.mp4" //地址
          width="100%" //宽度
          height="100%" //高度
          playing={true} //是否自动播放
          controls //控制
        />
      ) : (
        <></>
      )}
    </>
  );
};

export default inject("homeStore")(observer(Video));
