import { FormType } from "@/components/form/interface";
import { UserDataType } from "@/model/userModel";
import { ColumnsType } from "antd/lib/table";
export const columns: ColumnsType<UserDataType> = [
  {
    title: "货架名称",
    dataIndex: "name",
  },
  {
    title: "货架描述",
    dataIndex: "desc",
  },
  {
    title: "货架总层数",
    dataIndex: "column_all_num",
  },
];

export const defaultConfig = [
  {
    type: FormType.input,
    label: "货架名称",
    name: "name",
    value: "",
    rules: [{ required: true, message: "请输入货架名称!" }],
  },
  {
    type: FormType.input,
    label: "货架描述",
    name: "desc",
    value: "",
    rules: [{ required: true, message: "请输入货架描述!" }],
  },
  {
    type: FormType.input,
    label: "货架总层数",
    name: "column_all_num",
    value: "",
    rules: [{ required: true, message: "请输入货架总层数!" }],
  },
];
