import { FormType } from "@/components/form/interface";
export  const traningConfig = [
  {
    type: FormType.input,
    label: "任务标题",
    name: "title",
    value: "",
    rules: [{ required: true, message: "请输入任务标题!" }],
  },
  {
    type: FormType.input,
    label: "任务描述",
    name: "desc",
    value: "",
    rules: [{ required: true, message: "请输入任务描述!" }],
  },
  {
    type: FormType.input,
    label: "任务地点",
    name: "address",
    value: "",
    rules: [{ required: true, message: "请输入任务地点!" }],
  },
  {
    type: FormType.date,
    label: "任务开始时间",
    name: "start_time",
    value: "",
    rules: [{ required: true, message: "请输入任务开始时间!" }],
  },
  {
    type: FormType.date,
    label: "任务结束时间",
    name: "end_time",
    value: "",
    rules: [{ required: true, message: "请输入任务结束时间!" }],
  },
  {
    type: FormType.input,
    label: "任务积分设置",
    name: "score",
    value: "",
    rules: [{ required: true, message: "请输入任务积分设置!" }],
  },
  {
    type: FormType.input,
    label: "训练次数",
    name: "count",
    value: 0,
    rules: [{ required: true, message: "请输入训练次数!" }],
  },
  
];